Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util.ajax
Class JSON.StringSource

    java.lang.Object
      org.mortbay.util.ajax.JSON.StringSource

All Implemented Interfaces:
  JSON.Source

Enclosing class:
  JSON

    public static class JSON.StringSource

extends java.lang.Object
implements JSON.Source

Constructor Summary
`JSON.StringSource(java.lang.String s)`

Method Summary
`boolean` | `hasNext()`
`char` | `next()`
`char` | `peek()`
`char[]` | `scratchBuffer()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSON.StringSource

    public JSON.StringSource(java.lang.String s)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `JSON.Source`

### next

    public char next()

  Specified by:
    `next` in interface `JSON.Source`

### peek

    public char peek()

  Specified by:
    `peek` in interface `JSON.Source`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### scratchBuffer

    public char[] scratchBuffer()

  Specified by:
    `scratchBuffer` in interface `JSON.Source`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.